Name: athcool
Version: 0.3.12
Release: %mkrel 8
Summary: Utility to enable/disable powersaving for AMD Athlon/Duron cpus
Group: System/Base
License: GPLv2
Url: http://members.jcom.home.ne.jp/jacobi/linux/softwares.html
Source0: http://members.jcom.home.ne.jp/jacobi/linux/files/%{name}-%{version}.tar.gz

BuildRequires: pciutils-devel

%description
athcool is a small utility, enabling/disabling Powersaving mode 
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption, 
lower CPU temperature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work), 
because athcool only set/unset "Disconnect enable when STPGNT detected" 
bits in the Northbridge of Chipset. To really save power, someone 
has to send the STPGNT signal when idle. 
This is done by the ACPI subsystem when C2 state entered. 

WARNING: Depending on your motherboard and/or hardware components, 
enabling powersaving mode may cause:

- noisy or distorted sound playback
- a slowdown in harddisk performance
- system locks or instability 

If you met those problems, you should not use athcool. 
Please use athcool AT YOUR OWN RISK! 

%prep
%setup -q
# fix debuginfo:
sed -i -e 's/install -s/install/' Makefile

%build
%make

%install
%makeinstall_std

%files
%doc README
%{_sbindir}/%{name}
%{_mandir}/man8/*.xz


%changelog
* Wed Feb 10 2016 umeabot <umeabot> 0.3.12-8.mga6
+ Revision: 953109
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 0.3.12-7.mga6
+ Revision: 879814
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 0.3.12-6.mga6
+ Revision: 875079
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.12-5.mga5
+ Revision: 743540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.12-4.mga5
+ Revision: 678019
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.12-3.mga4
+ Revision: 502937
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.12-2.mga3
+ Revision: 346524
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 matteo <matteo> 0.3.12-1.mga2
+ Revision: 140854
- fixed rpmlint warnings
- fixed summary and description
- imported package athcool

